<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Updating
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="Introduction_7439941.html">Introduction</a></span>
              </li>
              <li>
                <span><a href="Getting-Started_7439062.html">Getting Started</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Updating</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Philipp Vanscheidt</span>, last modified on Jul 23, 2013
          </div>
          <div id="main-content" class="wiki-content group">
            <p>
              By default, the TextGridLab will check for updates of all installed components in the background after startup. If there are updates available, it will notify you using a notification window (that will go away after a few seconds) and an icon in the status bar. Click on the icon or notification to open an update wizard that will install the new versions of the respective tools on request.
            </p>
            <p>
              You can manually force an update using Help → Check for Updates. You can turn off automatic update checks using <em>Window → Preferences → Install/Update → Automatic Updates</em> (find the Preferences window in the TextGridLab menu on MacOS). 
            </p>
            <p>
              If you wish to only update a specific tool, open the <em>Installation Details</em> dialog as described in the following section, select the tool on the <em>Installed Software</em> page and click <em>Update.</em>
            </p>
            <p>
              TextGridLab components are available from <em>Update Sites</em>. There are three main composite update site for TextGridLab components:
            </p>
            <ul>
              <li>
                <a class="external-link" href="http://www.textgridlab.org/updates/stable" rel="nofollow">http://www.textgridlab.org/updates/<strong>stable</strong></a> for the stable, 2.x release train,
              </li>
              <li>
                <a class="external-link" href="http://www.textgridlab.org/updates/beta" rel="nofollow">http://www.textgridlab.org/updates/<strong>beta</strong></a> for beta-quality tools, and
              </li>
              <li>
                <a class="external-link" href="http://www.textgridlab.org/updates/nightly" rel="nofollow">http://www.textgridlab.org/updates/<strong>nightly</strong></a> for bleeding-edge and untested versions that come directly out of our <a href="http://dev.digital-humanities.de/ci/" class="external-link" rel="nofollow">automatic build system</a>.
              </li>
            </ul>
            <p>
              You can use the preference page at <em>Window → Preferences → Install/Update → Available Software Sites</em> to manage the sites that should be available from the dropdown box and that should be checked for updates.
            </p>
            <p>
              For example, if you would like to work only with the nightly versions of a specific tool and leave all other tools at their stable versions, you might want to enable only the nightlies update site for that tool. To do so,
            </p>
            <ol>
              <li>find out the nightly update site for the tool. Either you look at the <a class="external-link" href="http://www.textgridlab.org/updates/nightly" rel="nofollow">index page of the composite nightly update site</a>, or have a look at the corresponding build page on the integration build server.
              </li>
              <li>install the tool from that site as described above.
              </li>
              <li>Go to the <em>Available Software Sites</em> page and check that the composite nightly update site, <a class="external-link" href="http://www.textgridlab.org/updates/nightly" rel="nofollow">http://www.textgridlab.org/updates/<strong>nightly</strong></a>, is not enabled.
              </li>
            </ol>
            <p>
               
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
